export { createAkimaSplineInterpolator, computeAkimaPolyCoefficients } from "./Akima";
export { createCubicSplineInterpolator, computeCubicPolyCoefficients } from "./Cubic";
export { createLinearInterpolator, computeLinearPolyCoefficients } from "./Linear";
export { createNearestNeighborInterpolator } from "./NearestNeighbor";
export { UniFunction } from "./Utils";
import { UniFunction } from "./Utils";
export declare type InterpolationMethod = "akima" | "cubic" | "linear" | "nearestNeighbor" | "loess";
export declare function createInterpolator(interpolationMethod: InterpolationMethod, xVals: ArrayLike<number>, yVals: ArrayLike<number>): UniFunction;
export declare function createInterpolatorWithFallback(interpolationMethod: InterpolationMethod, xVals: ArrayLike<number>, yVals: ArrayLike<number>): UniFunction;
